# -*- coding: utf-8 -*-
#-------------------------------------------------------------------------------
# Name:        Serveur_bluetooth
# Purpose:     Reception d'une commande envoyée par un client
#
# Author:      Julien Launay
#
# Created:     28/04/2017
# Copyright:   (c) Utilisateur 2017
# Licence:     <your licence>
#-------------------------------------------------------------------------------
import socket
import sys

#adresse MAC de la carte Bluetooth du RaspberryPI3
hostMACAddress ='B8:27:EB:FD:15:61'
port = 1
#Nombre de clients qui peuvent se connecter au serveur
nombre_clients = 1 #on se limite à 1 client à la fois pour commencer
size = 1024 #nombre d'octet(s) reçus à la fois
s = None
etat_serveur=True #True = serveur fonctionne et lit, False=serveur arrêté
print ("Réception de code d'un client via Bluetooth")

def connexion_bleutooth(): #permet d'attendre la connexion à un client Bluetooth
    global client
    try:
        # On cree un socket Bluetooth
        s = socket.socket(socket.AF_BLUETOOTH, socket.SOCK_STREAM, socket.BTPROTO_RFCOMM)
		# On s'associe au port
        server_address = (hostMACAddress, port)
        s.bind(server_address)
        s.listen(nombre_clients)
        print('On attend un client Bluetooth')
        client, client_address = s.accept()
        print('Adresse MAC du client =' + str(client_address))

    except socket.error as e:
        if s:
            s.close()
        print("Erreur: On ne peut pas creer le socket: " + str(e))
        sys.exit(1)

#programme principal
connexion_bleutooth()  #on attend la connexion d'un client Bluetooth
while etat_serveur: #tant que le serveur est en marche
    data = client.recv(size) #on lit les données reçues
    print ("Donnée reçue=" + str(data))
    if data == 'E':
        etat_serveur=False
        #Commande python pour envoyer une donnee au client  client.send(data)
print("Communication stoppée")
client.close()